%define anolis_release 4

Name:           perl-Socket
Epoch:          4
Version:        2.036
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
Summary:        Networking constants and support functions
URL:            https://metacpan.org/release/Socket
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Socket-%{version}.tar.gz

BuildRequires:  gcc make findutils coreutils
BuildRequires:  perl-macros perl-devel perl-generators perl-interpreter
BuildRequires:  perl(warnings) perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::Constant) >= 0.23 perl(ExtUtils::CBuilder) perl(Config)
# Run-time:
BuildRequires:  perl(XSLoader) perl(warnings::register)
BuildRequires:  perl(Carp) perl(Exporter) perl(:VERSION) >= 5.6.1
# Tests only:
BuildRequires:  perl(Test::More) perl(Errno)

Requires:       perl(:VERSION) >= 5.6.1

Obsoletes:      %{name}-tests < %{EVR}

%{?perl_default_filter}

%description
This module provides a variety of constants, structure manipulators and other
functions related to socket-based networking. The values and functions provided
are useful when used in conjunction with Perl core functions such as socket(), 
setsockopt() and bind(). It also provides several other support functions, 
mostly for dealing with conversions of network addresses between human-readable
and native binary forms, and for hostname resolver operations.

Some constants and functions are exported by default by this module; but for 
backward-compatibility any recently-added symbols are not exported by default 
and must be requested explicitly. When an import list is provided to the use 
Socket line, the default exports are not automatically imported. It is 
therefore best practice to always to explicitly list all the symbols required.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Socket-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license Artistic Copying LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 4:2.036-4
- Optimize the spec file

* Thu Feb 09 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4:2.036-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4:2.036-2
- rebuild with perl 5.36.0

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 4:2.036-1
- New version 2.036

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4:2.032-2
- add doc package

* Wed Mar 09 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 4:2.032-1
- Init from upstream 2.032
